#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.3
visibility:           public
id:                   persistent-test-2.13.0.3-1kYFTZQwadH2177fQYL3Fg
key:                  persistent-test-2.13.0.3-1kYFTZQwadH2177fQYL3Fg
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  887b7bd22e77ae7ca9454658f3cb2427
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/persistent-test-2.13.0.3
hs-libraries:         HSpersistent-test-2.13.0.3-1kYFTZQwadH2177fQYL3Fg
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-1WQyMS2Rq1aCd8TFPpRr3t
    aeson-1.5.6.0-AIOjF99b4i15RTiIgKIYjO base-4.15.1.0
    blaze-html-0.9.1.2-LiVe7r0ip9zJ8lLrH9JuPb bytestring-0.10.12.1
    conduit-1.3.4.2-1Dj2Rn8d5gx9afxHW7mS2C containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.1-17dKyacrqD2BxsUTfY225J
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-A1NRJ6rfnPn4rebTJ4BKv4
    monad-control-1.0.3.1-DyUIiGPxBQeGZixd7araNh
    monad-logger-0.3.36-InBKbo8SqwwpG6dTv7dmb mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.1.2-Ic0mRHcDwUhnNZgh29Iqo
    quickcheck-instances-0.3.26.1-Cg4kCXf6T874uPxW7LiShl
    random-1.2.1-E5Bfz23dMerGrWF0X9btYW
    resourcet-1.2.4.3-6xSSDlJt6Qw9ePbxI43Doy text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-BrVu4UuPEmODjdgOoHdU3J
    unliftio-0.2.21.0-55WXglRB9J58lk5vI4DHEU
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.17.0-3BdVQ0XjWEwL87G4XZjXWP

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

